import { AfterContentInit, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { ModalService } from '../../services/modals/modal.service';
import { NgbModal, NgbModalOptions } from '@ng-bootstrap/ng-bootstrap';
import { Subscription } from 'rxjs';
import { ActivatedRoute, Router } from '@angular/router';
export interface IModalTriggerResult {
    action: 'RESOLVED' | 'REJECTED';
    result: any;
}
export declare class ModalTriggerDirective implements AfterContentInit, OnDestroy {
    route: ActivatedRoute;
    router: Router;
    private modals;
    constructor(route: ActivatedRoute, router: Router, modals: ModalService);
    modalTrigger: TemplateRef<any>;
    modalOptions: NgbModalOptions;
    aside: boolean;
    modalId: string | number;
    activated$: EventEmitter<string | number>;
    completed$: EventEmitter<IModalTriggerResult>;
    subscriptions: Subscription;
    modal: NgbModal;
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    onClick(): Promise<void>;
    /**
     * Subscribe to route updates in order to enable linking to an
     * open modal or 'deep-link'
     */
    subscribeToRouteUpdates(): void;
    activate(): Promise<void>;
}
